.faq {
  max-width: 100rem;
  padding: 0;
  width: 90%;
  margin-left: auto;
  margin-right: auto;

  > .faq-wrapper {
    padding: 2.4rem;
    background-color: var(--gray-1);

    @include media("md") {
      padding: 4rem;
    }
  }

  > .faq-wrapper > .title {
    margin-bottom: 4rem;
    font-family: var(--font-family-title);
    font-weight: var(--font-weight-title);
    font-size: var(--font-size-big);
    text-align: center;
  }

  > .faq-wrapper .collapse:last-child {
    border-bottom: 1px solid var(--gray-2);
  }

  > .faq-wrapper .collapse.-open .handle::before {
    transform: translateY(-50%);
  }

  > .faq-wrapper .collapse .handle {
    width: 100%;
    padding: 1.6rem 2.4rem 1.6rem 0;
    border-top: 1px solid var(--gray-2);
    text-align: left;
    font-weight: 600;
    position: relative;

    &::before,
    &::after {
      content: "";
      position: absolute;
      top: 50%;
      right: 0;
      transform: translateY(-50%);
      width: 1rem;
      height: 1px;
      background-color: var(--gray-4);
      transition: transform 0.25s;
    }

    &::before {
      transform: translateY(-50%) rotate(90deg);
    }
  }

  > .faq-wrapper .collapse .content-wrapper {
    height: 0;
    transition: height 0.5s ease;
    overflow: hidden;
  }

  > .faq-wrapper .collapse .content-wrapper .content {
    padding: 0.8rem 0 1.6rem;

    //Estilo do conteúdo textual
    h2:not(.title),
    h3,
    h4 {
      font-size: var(--font-size-medium);
      font-family: var(--font-family-title);
      font-weight: var(--font-weight-title);
      margin-bottom: 1.4rem;
      color: var(--font-color-title);

      &:last-child {
        margin-bottom: 0;
      }
    }

    p,
    ul,
    ol {
      color: var(--gray-3);
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-base);
      margin-bottom: 1.4rem;

      &:last-child {
        margin-bottom: 0;
      }
    }

    ul li,
    ol li {
      list-style-position: inside;
      list-style-type: disc;

      &:last-child {
        margin-bottom: 0;
      }
    }

    hr {
      border-color: var(--gray-2);
      margin: 1.4rem 0;
    }

    table {
      width: 100%;
      margin-bottom: 1rem;
      margin-left: auto;
      margin-right: auto;
      background-color: transparent;
      text-align: center;
      border-collapse: collapse;
      font-size: var(--font-size-small);
      color: var(--gray-3);

      &:last-child {
        margin-bottom: 0;
      }
    }

    table td {
      padding: 1rem 0.5rem;
    }

    table thead th {
      padding: 1rem 0.5rem;
      font-weight: 700;
      color: var(--gray-4);

      &:first-of-type {
        text-align: left;
      }
    }

    table tbody {
      border-top: 1px solid var(--gray-2);

      tr:not(:first-child) {
        border-top: 1px solid var(--gray-2);
      }

      tr {
        td:first-child {
          text-align: left;
          font-weight: 700;
          color: var(--gray-4);
        }
      }
    }
  }
}
